Search Agent Tools
curl --request GET \
--url https://{appId}.api-{region}.cometchat.io/v3/ai-agents/agent-builder/agents/{uid}/tools/search \
--header 'apikey: <api-key>'import requests
url = "https://{appId}.api-{region}.cometchat.io/v3/ai-agents/agent-builder/agents/{uid}/tools/search"
headers = {"apikey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apikey: '<api-key>'}};
fetch('https://{appId}.api-{region}.cometchat.io/v3/ai-agents/agent-builder/agents/{uid}/tools/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"results": []
}Agents
Search Agent Tools
Searches across all tool types available for an agent, including ready-to-use tools, API tools, and MCP servers. Use this endpoint to find specific tools across all categories. Filtering: Use the
GET
/
ai-agents
/
agent-builder
/
agents
/
{uid}
/
tools
/
search
Search Agent Tools
For the complete error reference, see Error Guide.
Authorizations
API Key (i.e. Rest API Key from the Dashboard).
Path Parameters
Unique identifier of the agent
Query Parameters
Search term to filter actions by name, description, or slug
Was this page helpful?
⌘I